Skip to main content
GET
/
v2
/
farming
/
tx
/
prepare
Prepare transaction fields for DEFI actions
curl --request GET \
  --url https://api.getnimbus.io/v2/farming/tx/prepare
import requests

url = "https://api.getnimbus.io/v2/farming/tx/prepare"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.getnimbus.io/v2/farming/tx/prepare', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "field": "type",
      "type": "string"
    }
  ]
}

Query Parameters

chain
enum<string>
required

The blockchain network

Available options:
SUI
protocol
enum<string>
required

The protocol name

Available options:
alpha-fi,
navi,
scallop,
suilend,
native-staking
type
enum<string>
required

The type of DEFI actions (type chosen properly with protocol provided)

Available options:
LENDING,
BORROW,
REPAY,
ADD_LP,
REMOVE_LP,
STAKING,
UNSTAKING,
LENDING_WITHDRAW

Response

Transaction fields prepared successfully

data
object[]